ranges::views::drop_while_fn Struct Reference
Inheritance diagram for ranges::views::drop_while_fn:

## Synopsis of methods

constexpr drop_while_fn | drop_while {}

## Additional Inherited Members

Public Member Functions inherited from ranges::views::drop_while_base_fn
template<typename Rng , typename Pred , typename Proj >
CPP_TEMPLATE_AUX_0 | a (requires ` viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< composed< Pred, Proj >, iterator_t< Rng >>) aaauto operator()(Rng &&rng
template<typename Rng , typename Pred >
CPP_TEMPLATE_AUX_0 | a (requires ` viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, iterator_t< Rng >>) aaauto operator()(Rng &&rng
Public Member Functions inherited from ranges::views::drop_while_bind_fn
template<typename Pred , typename Proj >
| CPP_TEMPLATE_AUX_0 (requires `(!range< Pred >)) const expr auto operator()(Pred &&pred
template<typename Pred >
constexpr auto | operator() (Pred pred) const
Public Attributes inherited from ranges::views::drop_while_base_fn
CPP_TEMPLATE_AUX_0 Pred Proj proj const | drop_while_view< all_t< Rng >, composed< Pred, Proj > >
CPP_TEMPLATE_AUX_0 Pred pred const | drop_while_view< all_t< Rng >, Pred >
CPP_TEMPLATE_AUX_0 Pred | pred
Public Attributes inherited from ranges::views::drop_while_bind_fn
Proj proj | const